PrefabFiles = {
	"tula",
	"tulahat",
	"catcoonstaff",
	"bedroll_catcoon",
	"catcoonden2",
	"catcoonden_item1",
	"catcoonden_item2",
	"catcoonden_item3",
	"catcoonden_item4",
	"catcoonden_item5",
	"catcoonden_item6",
	"catcoonden_item7",
	"catcoonden_item8",
	"catcoonden_item9",
	"emote_fx",
}

Assets = {
	Asset("SOUNDPACKAGE", "sound/tula.fev"),
	Asset("SOUND", "sound/tula.fsb"),

    Asset( "IMAGE", "images/saveslot_portraits/tula.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/tula.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/tula.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tula.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/tula_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tula_silho.xml" ),

    Asset( "IMAGE", "bigportraits/tula.tex" ),
    Asset( "ATLAS", "bigportraits/tula.xml" ),
	
	Asset( "IMAGE", "images/map_icons/tula.tex" ),
	Asset( "ATLAS", "images/map_icons/tula.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_tula.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_tula.xml" ),

	-- Items:
	Asset("ATLAS", "images/hud/tulacrafttab.xml" ),
	Asset("ATLAS", "images/inventoryimages/catcoonden_item.xml"),
	Asset("IMAGE", "images/inventoryimages/catcoonden_item.tex"),
	Asset("ATLAS", "images/inventoryimages/bedroll_catcoon.xml"),
	Asset("IMAGE", "images/inventoryimages/bedroll_catcoon.tex"),
	Asset("ATLAS", "images/inventoryimages/catcoonstaff.xml"),
	Asset("IMAGE", "images/inventoryimages/catcoonstaff.tex"),
	Asset("ATLAS", "images/inventoryimages/tulahat.xml"),
	Asset("IMAGE", "images/inventoryimages/tulahat.tex"),
	Asset("ATLAS", "images/inventoryimages/cat_cap_recipe.xml"),
	Asset("IMAGE", "images/inventoryimages/cat_cap_recipe.tex"),
}

RemapSoundEvent( "dontstarve/characters/tula/death_voice", "tula/tula/death_voice" )
RemapSoundEvent( "dontstarve/characters/tula/hurt", "tula/tula/hurt" )
RemapSoundEvent( "dontstarve/characters/tula/talk_LP", "tula/tula/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
local TUNING = GLOBAL.TUNING
local ACTIONS = GLOBAL.ACTIONS
local GetTime = GLOBAL.GetTime
local SetSharedLootTable = GLOBAL.SetSharedLootTable

STRINGS.NAMES.TULAHAT = "Tula's Hat"
STRINGS.RECIPE_DESC.TULAHAT = "A dapper cat hat."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.TULAHAT = "It's very comfy and cute!"
STRINGS.CHARACTERS.WILLOW.DESCRIBE.TULAHAT = "Cutest thing ever!"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.TULAHAT = "Make Wolfgang feel better from normal."
STRINGS.CHARACTERS.WENDY.DESCRIBE.TULAHAT = "It makes me feel a tiny bit happier."
STRINGS.CHARACTERS.WX78.DESCRIBE.TULAHAT = "SANITY CAPACITY EXPANDER"
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.TULAHAT = "A cute white hat resembling cat head."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.TULAHAT = "Was this designed by a little girl?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.TULAHAT = "It's kind of useful, so I'll try not to complain about the looks..."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.TULAHAT = "Fit for anybody but a warrior."
STRINGS.CHARACTERS.WEBBER.DESCRIBE.TULAHAT = "We'll be a spider-cat!"

STRINGS.NAMES.CATCOONDEN_ITEM9 = "Hollow Stump"
STRINGS.RECIPE_DESC.CATCOONDEN_ITEM9 = "A home for your fellow cat!"

RECIPETABS.TULACRAFTTAB = {str = "Tula", sort=12, icon = "tulacrafttab.tex", icon_atlas = "images/hud/tulacrafttab.xml", builder_tag = "tula"}

local function CI(prefab, amount)
	return Ingredient(prefab, amount, "images/inventoryimages/"..prefab..".xml")
end

local TulaRecipes = {

	tulahat = {
		ingredients = {
			Ingredient("coontail", 4),
			Ingredient("strawhat", 1)
		},
		tab = RECIPETABS.TULACRAFTTAB,
		level = TECH.NONE,
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "tula",
		atlas = "images/inventoryimages/tulahat.xml",
		image = "tulahat.tex"
	},
	
	catcoonhat = {
		ingredients = {
			Ingredient("coontail", 4),
			Ingredient("silk", 4)
		},
		tab = RECIPETABS.TULACRAFTTAB,
		level = TECH.NONE,
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "tula",
		atlas = "images/inventoryimages/cat_cap_recipe.xml",
		image = "cat_cap_recipe.tex"
	},
	
	catcoonden_item9 = {
		ingredients = {
			Ingredient("sewing_kit", 1),
			Ingredient("log", 20),
			Ingredient("shovel", 1)
		},
		tab = RECIPETABS.TULACRAFTTAB,
		level = TECH.NONE,
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "tula",
		atlas = "images/inventoryimages/catcoonden_item.xml",
		image = "catcoonden_item.tex"
	},
	
	bedroll_catcoon = {
		ingredients = {
			Ingredient("coontail", 2),
			Ingredient("silk", 4),
			Ingredient("rope", 2)
		},
		tab = RECIPETABS.TULACRAFTTAB,
		level = TECH.NONE,
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "tula",
		atlas = "images/inventoryimages/bedroll_catcoon.xml",
		image = "bedroll_catcoon.tex"
	},
	
	catcoonstaff = {
		ingredients = {
			Ingredient("coontail", 4),
			Ingredient("spear", 1),
			Ingredient("redgem", 1)
		},
		tab = RECIPETABS.TULACRAFTTAB,
		level = TECH.NONE,
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "tula",
		atlas = "images/inventoryimages/catcoonstaff.xml",
		image = "catcoonstaff.tex"
	},

}

local function AddRecipe(name, ingredients, tab, level, placer, min_spacing, nounlock, numtogive, atlas, image)
	local recipe = GLOBAL.Recipe(name, ingredients, tab, level, placer, min_spacing, nounlock, numtogive)
	recipe.atlas = atlas
	recipe.image = image
end

for k,v in pairs(TulaRecipes) do
	if v.builder_tag then
		AddPrefabPostInit(v.builder_tag, function() AddRecipe(k, v.ingredients, v.tab, v.level, v.placer, v.min_spacing, v.nounlock, v.numtogive, v.atlas, v.image) end)
	else
		AddRecipe(k, v.ingredients, v.tab, v.level, v.placer, v.min_spacing, v.nounlock, v.numtogive, v.atlas, v.image)
	end
end

AddMinimapAtlas("images/inventoryimages/tulahat.xml")

STRINGS.CHARACTER_TITLES.tula = "Tula"
STRINGS.CHARACTER_NAMES.tula = "Tula"
STRINGS.CHARACTER_DESCRIPTIONS.tula = "*Loves cats\n*Afraid of spiders\n*Is a positive fella"
STRINGS.CHARACTER_QUOTES.tula = "\"Yes, they're small, but still scary!\""

STRINGS.CHARACTERS.TULA = require "speech_tula"
STRINGS.NAMES.TULA = "Tula"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.TULA = 
{
	GENERIC = "It's Tula!",
	ATTACKER = "That Tula looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Tula, friend of ghosts.",
	GHOST = "Tula could use a heart.",
}

AddMinimapAtlas("images/map_icons/tula.xml")
AddModCharacter("tula", "FEMALE")

---TULA SANITY CHANGES:

function CatcoondenPostInit(inst)
	if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
	end
		inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.5
		inst.components.sanityaura:GetAura("tula")
		
		inst:RemoveComponent("workable")
		
		local function dig_up(inst, chopper)
		if inst.lives_left == 9 and inst.components.childspawner.numchildrenoutside == 0 then
            inst.components.lootdropper:SpawnLootPrefab("catcoonden_item9")
		elseif	inst.lives_left == 9 and inst.components.childspawner.numchildrenoutside > 0 then
            inst.components.lootdropper:SpawnLootPrefab("catcoonden_item8")
		
		elseif inst.lives_left == 8 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item8")
		elseif inst.lives_left == 8 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item7")
			
		elseif inst.lives_left == 7 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item7")
		elseif inst.lives_left == 7 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item6")
			
		elseif inst.lives_left == 6 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item6")
		elseif inst.lives_left == 6 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item5")
			
		elseif inst.lives_left == 5 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item5")
		elseif inst.lives_left == 5 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item4")
			
		elseif inst.lives_left == 4 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item4")
		elseif inst.lives_left == 4 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item3")
			
		elseif inst.lives_left == 3 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item3")
		elseif inst.lives_left == 3 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item2")
			
		elseif inst.lives_left == 2 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item2")
		elseif inst.lives_left == 2 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item1")
			
		elseif inst.lives_left == 1 and inst.components.childspawner.numchildrenoutside == 0 then
			inst.components.lootdropper:SpawnLootPrefab("catcoonden_item1")
		elseif inst.lives_left == 1 and inst.components.childspawner.numchildrenoutside > 0 then
			inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("silk")
			inst.components.lootdropper:SpawnLootPrefab("houndstooth")
			
        else
            inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("log")
			inst.components.lootdropper:SpawnLootPrefab("silk")
			inst.components.lootdropper:SpawnLootPrefab("houndstooth")
		end
			inst:Remove() 
		end

	local function OnWorked (inst, worker, workleft)
		if worker.prefab == "tula" then -- Tula can dig stumps up instantly, whereas other characters can't dig them up
			dig_up(inst)
			else
			inst.components.workable.workleft = inst.components.workable.workleft + 1
			if not worker:HasTag("mime") and worker.components.talker then
				worker.components.talker:Say("It's stuck to the ground!")
			end
		end
	end
		
	  if not inst.components.workable then
        inst:AddComponent("workable")
	   end
		inst.components.workable:SetWorkAction(ACTIONS.DIG)
		inst.components.workable:SetOnWorkCallback(OnWorked)
		inst.components.workable:SetOnFinishCallback(dig_up)
		inst.components.workable:SetMaxWork(10)
		inst.components.workable:SetWorkLeft(10)
end
AddPrefabPostInit("catcoonden", CatcoondenPostInit)

local State = GLOBAL.State
local Action = GLOBAL.Action
local ActionHandler = GLOBAL.ActionHandler
local TimeEvent = GLOBAL.TimeEvent
local EventHandler = GLOBAL.EventHandler
local ACTIONS = GLOBAL.ACTIONS
local FRAMES = GLOBAL.FRAMES

local catcoon_pickhandler = ActionHandler(ACTIONS.PICK, "pawgroundaction") -- this lets catcoons pick stuff
AddStategraphActionHandler("catcoon", catcoon_pickhandler)

local catcoon_drophandler = ActionHandler(ACTIONS.DROP, "pawgroundaction")
AddStategraphActionHandler("catcoon", catcoon_drophandler)

function CatcoonPostInit(inst)
	--require "stategraphs/new_SGcatcoon"
    --inst:SetStategraph("new_SGcatcoon")

	--inst.ishelpingpick = 0
	
	if not inst.components.sanityaura then
        inst:AddComponent("sanityaura")
	end
		inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.2
		inst.components.sanityaura:GetAura("tula")
    
	if not inst.components.inspectable then
		inst:AddComponent("inspectable")
	end
	inst.components.inspectable.getstatus = function(inst, viewer)
        if inst.components.follower and inst.components.follower.leader then
            return "FRIENDLY"
        end
    end
	
	if not inst.components.inventory then
        inst:AddComponent("inventory")
	end
	
	--if not inst.components.thief then
    --    inst:AddComponent("thief")
	--end
	
	inst:AddTag("_named")
	inst:RemoveTag("_named")
	
	STRINGS.CATNAMES=
{
	-- Actual cat names
	"Bella",
	"Lucy",
	"Lily",
	"Smokey",
	"Kitty",
	"Whiskers",
	"Fuzzy",
	"Abbie",
	"Tigger",
	"Luna",
	"Felix",
	"Dexter",
	"Teddy",
	"Tula",
	"Fluffy",
	"Oscar",
	"Coco",
	"Daisy",
	"Ruby",
	"Archie",
	"Tom",
	"Molly",
	"Attila",
	"Fiona",
	"Earfluff",
	"Ariel",
	"Garfield",
	"Filemon",
	"Bonifacy",
	"Claw",
	"Kot",
	"Frisky",
	
	-- Stupid names
	"Carpet",
	"Stripy",
	"Furball",
	"Wildcat",
	"Whiskas",
	"Kitkat",
	"Mousebag",
	"Medic",
	"Tractor",
	
	-- Food names
	"Cookie",
	"Lemon",
	"Hamburger",
	"Pancake",
}

	inst:AddComponent("named")
    inst.components.named.possiblenames = STRINGS.CATNAMES
    inst.components.named:PickNewName()
	
	SetSharedLootTable( 'catcoon',
{
    {'meat',             1.00},
    {'coontail',		 0.66},
})
	
	inst.components.combat.retargetfn = function(inst)
    return FindEntity(inst, TUNING.CATCOON_TARGET_DIST,
        function(guy)
        	if not guy:HasTag("catcoon") and not guy:HasTag("glommer") then
            	return 	((guy:HasTag("monster") or guy:HasTag("smallcreature"))
	            		and guy.components.health
	            		and not guy.components.health:IsDead()
	            		and inst.components.combat:CanTarget(guy)
	            		and not (inst.components.follower and inst.components.follower.leader ~= nil and guy:HasTag("abigail")))
            			and not (inst.components.follower and inst.components.follower:IsLeaderSame(guy))
	            	or 	(guy:HasTag("cattoyairborne")
            			and not (inst.components.follower and inst.components.follower:IsLeaderSame(guy)))
	        end
        end)
	end
	
	---
	
	local function FOnGetItemFromPlayer(inst, giver, item)
	if inst.components.sleeper:IsAsleep() then
        inst.components.sleeper:WakeUp()
    end
	
    if inst.components.combat.target and inst.components.combat.target == giver then
        inst.components.combat:SetTarget(nil)
        inst.SoundEmitter:PlaySound("dontstarve_DLC001/creatures/catcoon/pickup")
		
    elseif giver.components.leader and not giver.prefab == "tula" then
    	inst.SoundEmitter:PlaySound("dontstarve/common/makeFriend")
    	inst.last_hairball_time = GetTime()
    	inst.hairball_friend_interval = math.random(2,4) -- Jumpstart the hairball timer (slot machine time!)
		giver.components.leader:AddFollower(inst)
        inst.components.follower:AddLoyaltyTime(TUNING.CATCOON_LOYALTY_PER_ITEM)
        if not inst.sg:HasStateTag("busy") then 
        	inst:FacePoint(giver.Transform:GetWorldPosition())
        	inst.sg:GoToState("pawground") 
       	end
		inst.components.locomotor.walkspeed = 4
	--If giver is Tula
	elseif giver.components.leader and giver.prefab == "tula" then
    	inst.SoundEmitter:PlaySound("dontstarve/common/makeFriend")
    	inst.last_hairball_time = GetTime()
    	inst.hairball_friend_interval = math.random(2,4) -- Jumpstart the hairball timer (slot machine time!)
		giver.components.leader:AddFollower(inst)
        inst.components.follower:AddLoyaltyTime((TUNING.CATCOON_LOYALTY_PER_ITEM)*3)
        if not inst.sg:HasStateTag("busy") then 
        	inst:FacePoint(giver.Transform:GetWorldPosition())
        	inst.sg:GoToState("pawground") 
       	end
		inst.components.locomotor.walkspeed = 5
		inst.components.health.absorb = 0.20
		inst.components.combat:SetDefaultDamage((TUNING.CATCOON_DAMAGE)+9)
		inst.components.combat:SetAttackPeriod((TUNING.CATCOON_ATTACK_PERIOD)*0.75)
    end
    item:Remove()
	end

	inst.components.trader.onaccept = FOnGetItemFromPlayer
	
	local function loseloyalty(inst, leader)
		if inst.components.follower and inst.components.follower.leader == nil then
			inst.components.locomotor.walkspeed = 3
		end
		if inst.components.health then
			inst.components.health.absorb = 0
		end
		if inst.components.combat then
			inst.components.combat:SetDefaultDamage(TUNING.CATCOON_DAMAGE)
			inst.components.combat:SetAttackPeriod(TUNING.CATCOON_ATTACK_PERIOD)
		end
	end
	
	inst:ListenForEvent("loseloyalty", loseloyalty)
	
	-- NEW CATCOON BRAIN - catcoon is a tiny tad bit better at being our SLAVE!
	local new_brain = require "brains/new_catcoonbrain"
    inst:SetBrain(new_brain)
	
end
AddPrefabPostInit("catcoon", CatcoonPostInit)

function SpiderauraPostInit(inst)
        local oldaurafn = inst.components.sanityaura.aurafn
        inst.components.sanityaura.aurafn = function(inst, observer)
			if observer.prefab == "tula" then
            return inst.components.sanityaura.aura*2
			else return oldaurafn(inst, observer)
		end
		end
end
local spiders = {"spider", "spider_warrior", "spider_hider", "spider_spitter", "spider_dropper", "spiderqueen"}
for k,v in pairs(spiders) do AddPrefabPostInit(v, SpiderauraPostInit) end

function SpiderdenPostInit(inst)
		if inst.prefab == "spiderden" and inst.data.stage == 1 then
		if not inst.components.sanityaura then
        inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_TINY
		inst.components.sanityaura:GetAura("tula")
		
		elseif inst.prefab == "spiderden" and inst.data.stage == 2 then
		if not inst.components.sanityaura then
        inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_MED*0.7
		inst.components.sanityaura:GetAura("tula")
		
		elseif inst.prefab == "spiderden" and inst.data.stage == 3 then
		if not inst.components.sanityaura then
        inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_LARGE*0.6
		inst.components.sanityaura:GetAura("tula")
		
		elseif inst.prefab == "spiderhole" then
		if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_MED*0.6
		inst.components.sanityaura:GetAura("tula")
		
		elseif inst.prefab == "webber" then
		if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_TINY*0.9
		inst.components.sanityaura:GetAura("tula")
		end
end
local spiderdens = {"spiderden", "spiderden_2", "spiderden_3", "spiderhole", "webber"}
for k,v in pairs(spiderdens) do AddPrefabPostInit(v, SpiderdenPostInit) end

function SpiderhattulaPostInit(inst)
	  if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = -TUNING.SANITYAURA_TINY*0.25
		inst.components.sanityaura:GetAura("tula")
end
AddPrefabPostInit("spiderhat", SpiderhattulaPostInit)


function CatcoonhatPostInit(inst)
	  if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.2
		inst.components.sanityaura:GetAura("tula")
	
        local oldonequip = inst.components.equippable.onequipfn
		local oldonunequip = inst.components.equippable.onunequipfn
			inst.components.equippable.onequipfn = function(inst, owner)
			local owner = inst.components.inventoryitem.owner
				if owner and owner.prefab == "tula" then
					inst.components.equippable.dapperness = TUNING.DAPPERNESS_MED*1.6
				end
					oldonequip(inst, owner)		
			end
			
			inst.components.equippable.onunequipfn = function(inst, owner)
				if inst.components.inventoryitem.owner and inst.components.inventoryitem.owner.prefab == "tula" then
					inst.components.equippable.dapperness = TUNING.DAPPERNESS_MED
				end
					oldonunequip(inst, owner)			
			end
			
end
AddPrefabPostInit("catcoonhat", CatcoonhatPostInit)

function FXPostInit(inst)
	  if not inst.components.sanityaura then
		inst:AddComponent("sanityaura")
		end
		inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.2
		inst.components.sanityaura:GetAura("tula")
	
        local oldonequip = inst.components.equippable.onequipfn
		local oldonunequip = inst.components.equippable.onunequipfn
			inst.components.equippable.onequipfn = function(inst, owner)
			local owner = inst.components.inventoryitem.owner
				if owner and owner.prefab == "tula" then
					inst.components.equippable.dapperness = TUNING.DAPPERNESS_MED*1.6
				end
					oldonequip(inst, owner)		
			end
			
			inst.components.equippable.onunequipfn = function(inst, owner)
				if inst.components.inventoryitem.owner and inst.components.inventoryitem.owner.prefab == "tula" then
					inst.components.equippable.dapperness = TUNING.DAPPERNESS_MED
				end
					oldonunequip(inst, owner)			
			end
			
end
AddPrefabPostInit("FX", FXPostInit)
---