local catcoon_assets =
{
    Asset("ANIM", "anim/swap_bedroll_catcoon.zip"),
	
	-- Inventory image and atlas file used for the item.
    Asset("ATLAS", "images/inventoryimages/bedroll_catcoon.xml"),
    Asset("IMAGE", "images/inventoryimages/bedroll_catcoon.tex"),
}

local function onsleep(inst, sleeper)
	GetPlayer().HUD:Hide()
	TheFrontEnd:Fade(false,1)
	inst:DoTaskInTime(1.2, function() 
		TheFrontEnd:Fade(true,1) 
		GetPlayer().HUD:Show()
		
		
		sleeper.sg:GoToState("wakeup")
		
		if sleeper.components.hunger then
			-- Check SGwilson, state "bedroll", if you change this value
			sleeper.components.hunger:DoDelta(-TUNING.CALORIES_HUGE, false, true)
		end

		if sleeper.components.sanity then
			sleeper.components.sanity:DoDelta((TUNING.SANITY_HUGE)*2, false)
		end

		if sleeper.components.health then
			sleeper.components.health:DoDelta((TUNING.HEALING_MEDLARGE)*2, false, "bedroll", true)
		end
		
		if sleeper.components.temperature then
			sleeper.components.temperature:SetTemperature((sleeper.components.temperature.maxtemp)*0.6)
		end
		
		GetClock():MakeNextDay()
		
	local currentfuel = inst.components.fueled.currentfuel
	if currentfuel > 0 then
		inst.components.fueled:DoDelta(- 25)	
	else
		inst.Remove()
	end
	
	end)
end

local function onuse_catcoon(inst)
    GetPlayer().AnimState:OverrideSymbol("swap_bedroll", "swap_bedroll_catcoon", "bedroll_straw")
end
---

---
local function common_fn(bank, build)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank(bank)
    inst.AnimState:SetBuild(build)
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/bedroll_catcoon.xml"
    inst.components.inventoryitem.imagename = "bedroll_catcoon"

    inst:AddComponent("sleepingbag")
    inst.components.sleepingbag.onsleep = onsleep

    return inst
end

local function bedroll_catcoon()
    local inst = common_fn("swap_bedroll_catcoon", "swap_bedroll_catcoon")

	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = FUELTYPE.USAGE
	inst.components.fueled:InitializeFuelLevel(100)
	inst.components.fueled:SetDepletedFn(inst.Remove)
	
	inst:AddComponent("sanityaura")
	inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.2
	inst.components.sanityaura:GetAura("tula")

    inst.onuse = onuse_catcoon
	
    return inst
end

STRINGS.NAMES.BEDROLL_CATCOON = "Cat Roll"
STRINGS.RECIPE_DESC.BEDROLL_CATCOON = "Fall in regenerating deep sleep."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.BEDROLL_CATCOON = "It's so soft!"

STRINGS.CHARACTERS.WILLOW.DESCRIBE.BEDROLL_CATCOON = "Looks warm, almost like fire."

STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BEDROLL_CATCOON = "Cat bed roll make Wolfgang better."

STRINGS.CHARACTERS.WENDY.DESCRIBE.BEDROLL_CATCOON = "It's soft and furry."

STRINGS.CHARACTERS.WX78.DESCRIBE.BEDROLL_CATCOON = "REGENERATION DEVICE"

STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BEDROLL_CATCOON = "I'm not sleeping on the ground."

STRINGS.CHARACTERS.WOODIE.DESCRIBE.BEDROLL_CATCOON = "Ah, brings back memories."

STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BEDROLL_CATCOON = "Feels almost like a bed."

STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BEDROLL_CATCOON = "A luxury fur bed!"

STRINGS.CHARACTERS.WEBBER.DESCRIBE.BEDROLL_CATCOON = "Looks comfy."

return Prefab("common/inventory/bedroll_catcoon", bedroll_catcoon, catcoon_assets)
