local assets=
{
    Asset("ANIM", "anim/catcoonden_item.zip"),
	Asset("ANIM", "anim/catcoonden2.zip"),
    Asset("ATLAS", "images/inventoryimages/catcoonden_item.xml"),
    Asset("IMAGE", "images/inventoryimages/catcoonden_item.tex"),
}

----------------------------------

local function ondeploy(inst, pt, deployer)
    local catcoonden2 = SpawnPrefab("catcoonden2")
    if catcoonden2 ~= nil then
        catcoonden2.Physics:SetCollides(false)
        catcoonden2.Physics:Teleport(pt.x, 0, pt.z)
        catcoonden2.Physics:SetCollides(true)
        catcoonden2.AnimState:PlayAnimation("building")
        catcoonden2.AnimState:PushAnimation("idle")
        catcoonden2.SoundEmitter:PlaySound("dontstarve/common/place_structure_stone")
		catcoonden2.lives_left = 9
        inst:Remove()
    end
end

local function init()
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local soundemitter = inst.entity:AddSoundEmitter()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("catcoonden_item")
    inst.AnimState:SetBuild("catcoonden_item")
    inst.AnimState:PlayAnimation("idle")

	STRINGS.NAMES.CATCOONDEN_ITEM9 = "Hollow Stump"
	STRINGS.RECIPE_DESC.CATCOONDEN_ITEM9 = "A home for your fellow cat!"
	
    STRINGS.CHARACTERS.GENERIC.DESCRIBE.CATCOONDEN_ITEM9 = "It's a dug up den in a stump." --Examine 
	
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.CATCOONDEN_ITEM9 = "Pocket-size burnable stump."
	
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.CATCOONDEN_ITEM9 = "Stump for Wolfgang pocket."
	
	STRINGS.CHARACTERS.WENDY.DESCRIBE.CATCOONDEN_ITEM9 = "I separated it from its mother, earth."
	
	STRINGS.CHARACTERS.WX78.DESCRIBE.CATCOONDEN_ITEM9 = "MORE PORTABLE THAN BEFORE"
	
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.CATCOONDEN_ITEM9 = "It's ready to be planted."
	
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.CATCOONDEN_ITEM9 = "Pest nest."
	
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.CATCOONDEN_ITEM9 = "Vermin nest."
	
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.CATCOONDEN_ITEM9 = "It's not very useful when it's like this."
	
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.CATCOONDEN_ITEM9 = "Its place is on the ground."

    inst:AddComponent("inspectable")
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "catcoonden_item"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/catcoonden_item.xml"
	
	inst:AddComponent("deployable")
	inst.components.deployable.test = function() return true end
    inst.components.deployable.ondeploy = ondeploy
	
	inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(9)
    inst.components.finiteuses:SetUses(9)
	
    return inst
end

return Prefab( "common/objects/catcoonden_item9", init, assets),
	MakePlacer( "common/catcoonden_item9_placer", "catcoonden2", "catcoonden2", "idle" ) 
