
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

	Asset( "ANIM", "anim/player_basic.zip" ),
    Asset( "ANIM", "anim/player_idles_shiver.zip" ),
    Asset( "ANIM", "anim/player_actions.zip" ),
    Asset( "ANIM", "anim/player_actions_axe.zip" ),
    Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
    Asset( "ANIM", "anim/player_actions_shovel.zip" ),
    Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
    Asset( "ANIM", "anim/player_actions_eat.zip" ),
    Asset( "ANIM", "anim/player_actions_item.zip" ),
    Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
    Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
    Asset( "ANIM", "anim/player_actions_fishing.zip" ),
    Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
    Asset( "ANIM", "anim/player_bush_hat.zip" ),
    Asset( "ANIM", "anim/player_attacks.zip" ),
    Asset( "ANIM", "anim/player_idles.zip" ),
    Asset( "ANIM", "anim/player_rebirth.zip" ),
    Asset( "ANIM", "anim/player_jump.zip" ),
    Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
    Asset( "ANIM", "anim/player_teleport.zip" ),
    Asset( "ANIM", "anim/wilson_fx.zip" ),
    Asset( "ANIM", "anim/player_one_man_band.zip" ),
    Asset( "ANIM", "anim/shadow_hands.zip" ),
    Asset( "SOUND", "sound/sfx.fsb" ),
    Asset( "SOUND", "sound/wilson.fsb" ),
    Asset( "ANIM", "anim/beard.zip" ),
		
    Asset( "ANIM", "anim/tula.zip" ),
}
local prefabs = {
	"tulahat",
	"catcoonden_item9"
}

local start_inv = {
	"tulahat",
	"catcoonden_item9"
}

local cantwearthis = {
    "spiderhat",
}

local function UnequipSpiderHat(inst, data)
    local item = data.item
    if table.contains(cantwearthis, item.prefab) then
        inst:DoTaskInTime(0, function()
			inst.components.inventory:DropItem(item, true, true)
			inst.components.talker:Say("Yuck, it's nasty!")
		end) 
    end
end

local master_postinit = function(inst)

	inst.soundsname = "tula"
	
	inst:AddTag("tula")
	
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( "tula.tex" )
	
	inst.components.health:SetMaxHealth(150)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(125)
	
	inst.components.sanity.dapperness = TUNING.DAPPERNESS_TINY
	
	--
	
	inst:ListenForEvent( "equip", UnequipSpiderHat )
	
end

return MakePlayerCharacter("tula", prefabs, assets, master_postinit, start_inv)
