-- Add remembering of current sanity!!
local assets =
{ 
    Asset("ANIM", "anim/tulahat.zip"),
    Asset("ANIM", "anim/tulahat_swap.zip"), 

    Asset("ATLAS", "images/inventoryimages/tulahat.xml"),
    Asset("IMAGE", "images/inventoryimages/tulahat.tex"),
}

local prefabs = 
{
}

local function OnEquip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_hat", "tulahat_swap", "swap_hat")
	
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
        
        if owner:HasTag("player") then
			owner.AnimState:Hide("HEAD")
			owner.AnimState:Show("HEAD_HAIR")
		end
	
		
		if owner and owner.components.sanity then
			inst.notulahatsanity = owner.components.sanity.max
			if owner.prefab == "tula" then
			owner.components.sanity:SetMax(inst.notulahatsanity * 2)
			owner.components.sanity.current = (inst.currentownersanity)
			else
			owner.components.sanity:SetMax(inst.notulahatsanity * 1.25)
			owner.components.sanity.current = (inst.currentownersanity)
			end
		end
	
	if inst.components.fueled then
	inst.components.fueled:StartConsuming()
	end
	
	if owner and owner.prefab == "tula" then
	inst.components.equippable.dapperness = TUNING.DAPPERNESS_SMALL--*1.4
	end
	
end

local function OnUnequip(inst, owner) 

	if inst.components.fueled then
		inst.components.fueled:StopConsuming()
	end

    owner.AnimState:Hide("HAT")
    owner.AnimState:Hide("HAT_HAIR")
    owner.AnimState:Show("HAIR_NOHAT")
    owner.AnimState:Show("HAIR")

    if owner:HasTag("player") then
        owner.AnimState:Show("HEAD")
        owner.AnimState:Hide("HEAD_HAIR")
    end
	
	if owner and owner.components.sanity then
		owner.components.sanity:SetMax(inst.notulahatsanity)
		owner.components.sanity.current = (inst.currentownersanity2)
		inst.notulahatsanity = 0
	end
	
	inst.components.equippable.dapperness = TUNING.DAPPERNESS_SMALL
end

local function inventorysanity (inst, owner) --will this work? Yes, it works!
local owner = inst.components.inventoryitem.owner
	if owner and owner.components.sanity and inst.components.equippable.isequipped == false then
		if owner.prefab == "tula" then
		inst.currentownersanity = owner.components.sanity.current*2
		else
		inst.currentownersanity = owner.components.sanity.current*1.25
		end
	elseif owner and owner.components.sanity and inst.components.equippable.isequipped == true then
		if owner.prefab == "tula" then
		inst.currentownersanity2 = owner.components.sanity.current*0.5
		else
		inst.currentownersanity2 = owner.components.sanity.current*0.8
		end
	end
end

local function onpreload (inst, data)
	if data ~= nil and data.notulahatsanity ~= nil then
        inst.notulahatsanity = data.notulahatsanity
		end
end

local function onsave(inst, data)
    data.notulahatsanity = inst.notulahatsanity
end

local function fn()

	local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("tulahat")
    inst.AnimState:SetBuild("tulahat")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("hat")

	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon("tulahat.tex")
	
	
	inst.notulahatsanity = 0
	inst.currentownersanity = 0
	inst.currentownersanity2 = 0
	
	inst:AddComponent("fueled")
	inst.components.fueled.fueltype = "USAGE"
	inst.components.fueled:InitializeFuelLevel(5000)
	inst.components.fueled:SetDepletedFn(inst.Remove)
	
	inst:AddComponent("sanityaura")
	inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY*0.16
	inst.components.sanityaura:GetAura("tula")
	
    inst:AddComponent("inspectable")

    inst:AddComponent("tradable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "tulahat"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/tulahat.xml"
	inst.components.inventoryitem:SetOnPutInInventoryFn(inventorysanity)
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
	inst.components.equippable.dapperness = TUNING.DAPPERNESS_SMALL
	inst.components.equippable.walkspeedmult = TUNING.CANE_SPEED_MULT
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
	
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

	--Check sanity on load
	inst:DoTaskInTime(0, function() 
	local owner = inst.components.inventoryitem.owner
	
	if inst.notulahatsanity ~= 0 and inst.stopcheckingsanity == 0 and inst.components.equippable.isequipped == true then  
	    if owner and owner.components.sanity then
		  if owner.prefab == "tula" then
			inst.notulahatsanity = owner.components.sanity.max
			owner.components.sanity:SetMax(inst.notulahatsanity * 2)
			else
			inst.notulahatsanity = owner.components.sanity.max
			owner.components.sanity:SetMax(inst.notulahatsanity * 1.25)
			end
	    end
		
	 end
	 end)
	
	inst:DoPeriodicTask(1/10, function() 
	local owner = inst.components.inventoryitem.owner
	if owner and owner.components.sanity and inst.components.equippable.isequipped == false then
	   if owner.prefab == "tula" then
		inst.currentownersanity = owner.components.sanity.current*2
		else
		inst.currentownersanity = owner.components.sanity.current*1.25
		end
	elseif owner and owner.components.sanity and inst.components.equippable.isequipped == true then
	   if owner.prefab == "tula" then
		inst.currentownersanity2 = owner.components.sanity.current*0.5
		else
		inst.currentownersanity2 = owner.components.sanity.current*0.8
		end
	end
	end)
	
	inst.OnSave = onsave
	inst.OnPreLoad = onpreload
	
    return inst
end

return  Prefab("common/inventory/tulahat", fn, assets, prefabs)